Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.api.container
Class ContainerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.jersey.api.container.ContainerException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MappableContainerException

    public class ContainerException

extends java.lang.RuntimeException

Runtime exception to be caught by the container.

This exception may be thrown by the application signaling that the container should handle the exception to produce an appropriate HTTP response.

This exception may also be thrown by the runtime if an exception occurs that should be handled by the container.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Constructor Summary
`ContainerException()` Construct a new instance with the supplied message
`ContainerException(java.lang.String message)` Construct a new instance with the supplied message
`ContainerException(java.lang.String message, java.lang.Throwable cause)` Construct a new instance with the supplied message and cause
`ContainerException(java.lang.Throwable cause)` Construct a new instance with the supplied cause

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContainerException

    public ContainerException()

  Construct a new instance with the supplied message

### ContainerException

    public ContainerException(java.lang.String message)

  Construct a new instance with the supplied message

  Parameters:
    `message` - the message

### ContainerException

    public ContainerException(java.lang.String message,
                              java.lang.Throwable cause)

  Construct a new instance with the supplied message and cause

  Parameters:
    `message` - the message
    `cause` - the Throwable that caused the exception to be thrown

### ContainerException

    public ContainerException(java.lang.Throwable cause)

  Construct a new instance with the supplied cause

  Parameters:
    `cause` - the Throwable that caused the exception to be thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.